summarylogtreecommitdiffstats
path: root/atmos-weather.sh
diff options
context:
space:
mode:
authorzxp198210052024-01-16 12:53:24 +0800
committerzxp198210052024-01-16 12:53:24 +0800
commitcc75840b09bcd4a91e2d6602c99d8bccdaa89299 (patch)
tree4ac8f5cc5e3c3563c968833b6741e1eb476ffda3 /atmos-weather.sh
downloadaur-cc75840b09bcd4a91e2d6602c99d8bccdaa89299.tar.gz
update to 2.0.1
Diffstat (limited to 'atmos-weather.sh')
-rw-r--r--atmos-weather.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/atmos-weather.sh b/atmos-weather.sh
new file mode 100644
index 000000000000..aacd8f895847
--- /dev/null
+++ b/atmos-weather.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+_APPDIR="/usr/lib/@appname@"
+_ASAR="${_APPDIR}/@appasar@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export NODE_ENV=production
+cd "${_APPDIR}"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ exec electron@electronversion@ "${_ASAR}" "$@"
+else
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
+fi
+exit \ No newline at end of file